Poll an active GitHub OAuth device flow
POST
/api/v1/player-releases/github/device/poll
const url = 'https://example.com/api/v1/player-releases/github/device/poll';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"flowId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/player-releases/github/device/poll \ --header 'Content-Type: application/json' \ --data '{ "flowId": "example" }'Requires an authenticated dashboard user.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
flowId
required
string
Examplegenerated
{ "flowId": "example"}Responses
Section titled “ Responses ”Pending, connected, denied, or expired state
Media typeapplication/json
object
data
required
object
status
required
string
login
string
retryAfterSeconds
integer
Example
{ "data": { "status": "pending" }}Device flow expired or was not found
GitHub authorization failure